ViaVersion problem

Discussion in 'Spigot Plugin Help' started by WanderEDG, Jun 4, 2017.

  1. So i installed ViaVersion on my Spigot server. I run the 1.11.2 build on my Spigot servers, and the latest Bungeecord Build. ViaVersion enabled without an error in the console, but i could not connect with an 1.11 client. After that, i ran ViaVersion in debug mode. This is the error i got:
    Code (Text):
    [21:48:36 INFO]: [ViaVersion] INCOMING: HANDSHAKE 0 -> 0 [UNKNOWN[316]] Value: PacketWrapper{packetValues=[], readableObjects=[Pair{Type|VarInt, 316}, Pair{Type|String, play.lexonius.us.to 213.134.106.125 73a8cfefcd454611ba3a7159b32ed25f [{"name":"textures","value":"eyJ0aW1lc3RhbXAiOjE0OTY2MDU3MTQyODAsInByb2ZpbGVJZCI6IjczYThjZmVmY2Q0NTQ2MTFiYTNhNzE1OWIzMmVkMjVmIiwicHJvZmlsZU5hbWUiOiJoZ2JmIiwidGV4dHVyZXMiOnsiU0tJTiI6eyJ1cmwiOiJodHRwOi8vdGV4dHVyZXMubWluZWNyYWZ0Lm5ldC90ZXh0dXJlLzI3NWYyNzFmZTE4ZmZjMzk4NjU0YjI3ZjhiYjdiZTI2ZWQ3ZGI5YTFhOGY3MmFmZGNkZTE3ZWJiMmQzNSJ9fX0\u003d","signature":"UMJuIeAr/lw9xnguxVMyMCMMHtklLZ7jFKdBpR8nqq3RYP9x6FlCAEgpO0BoithOAzj/Z2FNtWl5XFji5hmphaEM5uxbEufMUcxCoV8CJUYP83G6vElS4okiwjgeSLtNQLbrFTbBL0jpTiF+r7kyjFcD4dFjVts8xfH/lSL8SXc7XxV8MS3rw8l4q3qZrx7ln6bqpvYUZqm0P8MbcNrF2hH1bpfV678CXwXe35pYNsohJvXMpRgysOKQKwI5ET0a38gSstYEYsPTp/uUv2GkxqO7eo/xhBFYu1RLMj0cyq4xi02ZIJQe/JgfWh2nwj7n9gCkHDtzy7GR6RZ8Zt1AcMwq6koj2iTr9KQ8mGHMdgaEN+/Vfgp58qy7Z//1xTUQAUwy5bdZldqz7exPNYTmUSIKcqhxe89zjT1TEGy5b5mgElpIjHlcqAu/UGPUxf6bRqFQahPuI8qSaNmB7wxHBGjp/kC0rjJHF2uSTgh57jj99WWXeb3OUt1HnsQ3BbDGCksMKVbWBHeE7trbRxficbXMQgntqCm18uxNqCIg9rzD3qnaznWmV/D+IjbACIsuegsUPRX0m79zMMf+wcwOwVZNh5sC7iFAF7XVZ5oF6m+I2z4pAOcdTib8jEsVJG/vGz/q0WZSzUt0MUFy5vJkON3OhOcIkbcS1mVRsXKDtJE\u003d"}]}, Pair{Type|Integer, 25565}, Pair{Type|VarInt, 2}], id=0}
    I hope someone can help me. (I host the server at home, and i logged in at the same pc)
     
  2. Why not ask the developer? He seems very active in his plugin developing.
     
    • Like Like x 1
  3. Agreed, and also, you should only put this plugin in the regular server plugin files, and not BungeeCord plugin files! (Recommended add ProtocolLib.)
     
  4. ViaVersion will allow you to have newer clients join your older version server. For example, a 1.8 sever will allow 1.8-1.11.2. If you would like backward compatibility, I would recommend ProtocolSupport.
     
    • Agree Agree x 1